
require 'uberdoc'

module UberDoc
    
    class DoctorTask < Task

        def self.should_run?(options)
            options.doctor
        end

        def check_doxygen
            
            out = UberDoc::Util::execute_command("which doxygen", @options.verbose)

            if not out.match("doxygen")
                puts "doxygen - Could not find doxygen on your system. Install it using your package manager or from doxygen.org"
            end
        end

        def perform
            
            check_doxygen

            # Add mode here

            puts "All checks performed"
            
        end # perform

    end # DoctorTask

end # UberDoc
