
require 'uberdoc'

module UberDoc
    class Generate < Task

        def self.should_run?(options)
            options.generate
        end # should_run?

        def perform

            # Check if there already a doc file in this directory
            file_path = File.join(Dir.pwd, "UberDocMe")

            if File.exists?(file_path)
                puts "There is already an UberDocMe file in this directory"
                return
            end

            # Write the template file
            base_uberdocme = File.open(UberDoc::Util::template_file_path('UberDocMe.Base'), 'rb') { |file| file.read }
            File.open(file_path, 'w') {|f| f.write(base_uberdocme) }

        end # perform

    end # Generate

end # UberDoc
