
require 'open3'
require 'fileutils'
require 'pp'
require 'colorize'

module UberDoc
    module Util
        def self.template_file_path(file)
            File.absolute_path("#{File.dirname(File.dirname(File.dirname(__FILE__)))}/templates/#{file}") 
        end

        #
        #  Exectues the given command and optionally dumps the command and its output
        #
        def self.execute_command(command, verbose)

            if verbose
                puts ">>>>>>>>>>>>>>>>>>>>>>>>>".green
                puts "Command '#{command}'".green
            end

            res = ""
            Open3.popen3(command) do |stdin, stdout, stderr, thread|

                {:out => stdout, :err => stderr}.each do |key, stream|
                    Thread.new do
                        until (line = stream.gets).nil? do
                            if key == :out
                                res += line
                            end

                            if verbose
                                case key
                                when :out
                                    puts line
                                when :err
                                    puts line.red                                    
                                end
                            end
                        end
                    end
                end

                thread.join
            end
            
            if verbose
                puts "<<<<<<<<<<<<<<<<<<<<<<<<<".green
            end

            return res
        end
    end

end
